## webkit2gtk 2.18.0

=== Tools/CMakeLists.txt ===
set_property(DIRECTORY . PROPERTY FOLDER "Tools")

if ("${PORT}" STREQUAL "GTK")
    if (DEVELOPER_MODE)
      add_subdirectory(WebKitTestRunner)
      add_subdirectory(ImageDiff)
      if (ENABLE_API_TESTS)
          add_subdirectory(TestWebKitAPI/glib)
      endif ()
      if (ENABLE_X11_TARGET)
          add_subdirectory(DumpRenderTree/TestNetscapePlugIn)
      endif ()
    endif ()

    if (ENABLE_MINIBROWSER)
        add_subdirectory(MiniBrowser/gtk)
    endif ()
elseif ("${PORT}" STREQUAL "Mac")
    add_subdirectory(DumpRenderTree)
    add_subdirectory(WebKitTestRunner)
    add_subdirectory(MiniBrowser/mac)
elseif ("${PORT}" STREQUAL "JSCOnly")
    if (ENABLE_API_TESTS)
        add_subdirectory(TestWebKitAPI)
    endif ()
elseif ("${PORT}" STREQUAL "WPE")
    if (DEVELOPER_MODE)
        add_subdirectory(ImageDiff)
        add_subdirectory(WebKitTestRunner)
        if (ENABLE_API_TESTS)
            add_subdirectory(TestWebKitAPI/glib)
        endif ()
    endif ()
elseif ("${PORT}" STREQUAL "Win")
    add_subdirectory(DumpRenderTree)
    add_subdirectory(TestWebKitAPI)
    add_subdirectory(MiniBrowser/win)
    add_subdirectory(ImageDiff)
endif ()

if (ENABLE_WEBKIT AND ENABLE_API_TESTS)
    add_subdirectory(TestWebKitAPI)
endif ()

=== Source/ThirdParty/woff2/CMakeLists.txt ===
set(WOFF2_DIR "${THIRDPARTY_DIR}/woff2")

set(WOFF2_INCLUDE_DIRECTORIES
  "${WOFF2_DIR}/src"
)

set(WOFF2_SOURCES
  ${WOFF2_DIR}/src/table_tags.cc
  ${WOFF2_DIR}/src/variable_length.cc
  ${WOFF2_DIR}/src/woff2_common.cc
  ${WOFF2_DIR}/src/woff2_dec.cc
  ${WOFF2_DIR}/src/woff2_out.cc
)

include_directories("${THIRDPARTY_DIR}/brotli/dec")
include_directories("${WOFF2_INCLUDE_DIRECTORIES}")
add_library(woff2 STATIC ${WOFF2_SOURCES})
target_link_libraries(woff2 brotli)

if (COMPILER_IS_GCC_OR_CLANG)
    WEBKIT_ADD_TARGET_CXX_FLAGS(woff2 -Wno-cast-align
                                      -Wno-implicit-fallthrough
                                      -Wno-sign-compare
                                      -Wno-unused-variable
                                      -Wno-unused-parameter
                                      -Wno-unused-but-set-variable)
endif ()

=== debian/control ===
Source: webkit2gtk
Priority: optional
Section: web
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Gustavo Noronha Silva <kov@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
           Alberto Garcia <berto@igalia.com>
Build-Depends: gawk,
               cmake,
               debhelper (>= 9),
               libglib2.0-dev (>= 2.36.0),
               libgtk2.0-dev (>= 2.24.10),
               libgtk-3-dev (>= 3.10.0),
               libpango1.0-dev (>= 1.30.0),
               libharfbuzz-dev (>= 0.9.18),
               libcairo2-dev (>= 1.10),
               libfontconfig1-dev (>= 2.5),
               libfreetype6-dev,
               libicu-dev,
               libgcrypt20-dev,
               libgeoclue-2-dev,
               libhyphen-dev,
               libnotify-dev,
               libxslt1-dev (>= 1.1.7),
               libxml2-dev (>= 2.6),
               libsoup2.4-dev (>= 2.42.0),
               libsqlite3-dev (>= 3.0),
               libgudev-1.0-dev [linux-any],
               gperf,
               bison,
               flex,
               ruby,
               libjpeg-dev,
               libpng-dev,
               libtasn1-6-dev,
               libwebp-dev,
               libxt-dev,
               libgstreamer1.0-dev (>= 1.2.3),
               libgstreamer-plugins-base1.0-dev (>= 1.2.3),
               libgstreamer-plugins-bad1.0-dev (>= 1.2.3) [!armel !armhf !sparc64 !hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libenchant-dev (>= 0.22),
               gtk-doc-tools,
               geoclue-2.0,
               libsecret-1-dev,
               gobject-introspection (>= 1.32.0),
               libgirepository1.0-dev (>= 0.9.12-4),
               mesa-common-dev,
               libegl1-mesa-dev,
               libgl1-mesa-dev [!armel !armhf !arm64],
               libgles2-mesa-dev
Build-Conflicts: gir-repository-dev
Standards-Version: 3.9.8
Homepage: https://webkitgtk.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-webkit/webkit.git
Vcs-Git: https://anonscm.debian.org/git/pkg-webkit/webkit.git

Package: libjavascriptcoregtk-4.0-18
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK+
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the shared libraries.

Package: libjavascriptcoregtk-4.0-dev
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK+ - development files
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the development files.

Package: libjavascriptcoregtk-4.0-bin
Section: interpreters
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libjavascriptcoregtk-3.0-bin
Description: JavaScript engine library from WebKitGTK+ - command-line interpreter
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package provides jsc, a command-line JavaScript interpreter.

Package: gir1.2-javascriptcoregtk-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-repository
Description: JavaScript engine library from WebKitGTK+ - GObject introspection data
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libwebkit2gtk-4.0-37
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: gstreamer1.0-plugins-base,
            gstreamer1.0-plugins-good,
            libgl1-mesa-dri,
            ${gst:Recommends}
Suggests: libwebkit2gtk-4.0-37-gtk2
Description: Web content engine library for GTK+
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This is the library for embedding in GTK+ applications.

Package: libwebkit2gtk-4.0-dev
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         gir1.2-webkit2-4.0 (= ${binary:Version}),
         libgtk-3-dev,
         libsoup2.4-dev (>= 2.40),
         libjavascriptcoregtk-4.0-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Web content engine library for GTK+ - development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the development files.

Package: libwebkit2gtk-4.0-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: Web content engine library for GTK+ - documentation
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains the documentation.

Package: gir1.2-webkit2-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: Web content engine library for GTK+ - GObject introspection data
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package contains introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libwebkit2gtk-4.0-37-gtk2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Web content engine library for GTK+ - GTK+2 plugin process
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKit2 is an API layer for WebKit designed from the ground up to
 support a split process model, where the web content lives in a
 separate process from the application UI.
 .
 This build comes from the GTK+ port of WebKit (API version 4.0).
 .
 This package adds support for NPAPI plugins that depend on the GTK+ 2
 library, such as the Adobe Flash and Google Talk/Hangouts plugins.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS) -Wall
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

DEBHELPER_VERSION = $(shell dpkg-query -W -f='$${source:Version}' debhelper)

EXTRA_CMAKE_ARGUMENTS =

# Sacrifice speed in order to make it more likely resource limits
# won't be hit.
ifeq ($(DEB_HOST_ARCH_BITS),32)
	LDFLAGS += -Wl,--no-keep-memory
endif

ifeq ($(DEB_BUILD_ARCH),alpha)
	LDFLAGS += -Wl,--no-relax
endif

# The debug packages produced by webkit are huge and cause problems in
# most buildds, so use -g1 in all architectures except the ones that
# are known to work fine
ifeq (,$(filter $(DEB_BUILD_ARCH),amd64 ppc64 ppc64el))
	CFLAGS := $(CFLAGS:-g=-g1)
endif

ifeq (,$(filter $(DEB_BUILD_ARCH),i386 amd64 hurd-i386 kfreebsd-i386 kfreebsd-amd64 armhf arm64))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JIT=OFF
endif

# https://bugs.webkit.org/show_bug.cgi?id=175127
ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf sparc64 hurd-i386 kfreebsd-i386 kfreebsd-amd64))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_GSTREAMER_GL=OFF
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSTEM_MALLOC=ON
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Debug
else
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Release
	CPPFLAGS += -DNDEBUG -DG_DISABLE_CAST_CHECKS
endif

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DUSE_GSTREAMER_GL=OFF
	DEB_DH_GENCONTROL_ARGS += -- -Vgst:Recommends=""
else
	DEB_DH_GENCONTROL_ARGS += -- -Vgst:Recommends="gstreamer1.0-plugins-bad, gstreamer1.0-libav,"
endif

%:
	dh $@ --parallel --with gir

override_dh_auto_configure:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	CXXFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS)" \
	dh_auto_configure -- \
	   -DPORT=GTK \
	   -DCMAKE_INSTALL_LIBEXECDIR=lib/$(DEB_HOST_MULTIARCH) \
	   -DCMAKE_C_FLAGS_RELEASE="" \
	   -DCMAKE_C_FLAGS_DEBUG="" \
	   -DCMAKE_CXX_FLAGS_RELEASE="" \
	   -DCMAKE_CXX_FLAGS_DEBUG="" \
	   -DENABLE_MINIBROWSER=ON \
	   $(EXTRA_CMAKE_ARGUMENTS)

override_dh_strip:
	if dpkg --compare-versions $(DEBHELPER_VERSION) ge 9.20151219; then \
		dh_strip -plibwebkit2gtk-4.0-37 --ddeb-migration='libwebkit2gtk-4.0-37-dbg (<< 2.10.5-1~)' ; \
		dh_strip -plibjavascriptcoregtk-4.0-18 --ddeb-migration='libjavascriptcoregtk-4.0-18-dbg (<< 2.10.5-1~)' ; \
	fi
	dh_strip

override_dh_makeshlibs:
	dh_makeshlibs -plibwebkit2gtk-4.0-37 -Xinjected-bundle
	dh_makeshlibs -plibjavascriptcoregtk-4.0-18

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/NEWS

override_dh_builddeb:
	DEB_BUILD_OPTIONS="$(filter-out parallel=%,$(DEB_BUILD_OPTIONS))" \
		dh_builddeb

override_dh_auto_test:

## webkit2gtk 2.18.3

=== CMakeLists.txt ===
# -----------------------------------------------------------------------------
# Determine CMake version and build type.
# -----------------------------------------------------------------------------
cmake_minimum_required(VERSION 3.3)

if (NOT CMAKE_BUILD_TYPE)
    message(WARNING "No CMAKE_BUILD_TYPE value specified, defaulting to RelWithDebInfo.")
    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose the type of build." FORCE)
else ()
    message(STATUS "The CMake build type is: ${CMAKE_BUILD_TYPE}")
endif ()

project(WebKit)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/Source/cmake")

set(ENABLE_WEBCORE ON)

if (NOT DEFINED ENABLE_WEBKIT)
    set(ENABLE_WEBKIT ON)
endif ()

if (NOT DEFINED ENABLE_TOOLS AND EXISTS "${CMAKE_SOURCE_DIR}/Tools")
    set(ENABLE_TOOLS ON)
endif ()

# -----------------------------------------------------------------------------
# Determine which port will be built
# -----------------------------------------------------------------------------
set(ALL_PORTS
    AppleWin
    Efl
    GTK
    JSCOnly
    Mac
    WPE
    WinCairo
)
set(PORT "NOPORT" CACHE STRING "choose which WebKit port to build (one of ${ALL_PORTS})")

list(FIND ALL_PORTS ${PORT} RET)
if (${RET} EQUAL -1)
    message(FATAL_ERROR "Please choose which WebKit port to build (one of ${ALL_PORTS})")
endif ()

string(TOLOWER ${PORT} WEBKIT_PORT_DIR)

# -----------------------------------------------------------------------------
# Determine the compiler
# -----------------------------------------------------------------------------
if (${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang" OR ${CMAKE_CXX_COMPILER_ID} STREQUAL "AppleClang")
    set(COMPILER_IS_CLANG ON)
endif ()

if (${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
    if (${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS "5.0.0")
        message(FATAL_ERROR "GCC 5.0.0 is required to build WebKitGTK+, use a newer GCC version or clang")
    endif ()
endif ()

if (CMAKE_COMPILER_IS_GNUCXX OR COMPILER_IS_CLANG)
    set(COMPILER_IS_GCC_OR_CLANG ON)
endif ()

if (MSVC AND COMPILER_IS_CLANG)
    set(COMPILER_IS_CLANG_CL ON)
endif ()

# -----------------------------------------------------------------------------
# Determine the target processor
# -----------------------------------------------------------------------------
# Use MSVC_CXX_ARCHITECTURE_ID instead of CMAKE_SYSTEM_PROCESSOR when defined,
# since the later one just resolves to the host processor on Windows.
if (MSVC_CXX_ARCHITECTURE_ID)
    string(TOLOWER ${MSVC_CXX_ARCHITECTURE_ID} LOWERCASE_CMAKE_SYSTEM_PROCESSOR)
else ()
    string(TOLOWER ${CMAKE_SYSTEM_PROCESSOR} LOWERCASE_CMAKE_SYSTEM_PROCESSOR)
endif ()
if (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^arm")
    set(WTF_CPU_ARM 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^aarch64")
    set(WTF_CPU_ARM64 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "alpha*")
    set(WTF_CPU_ALPHA 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "^mips")
    set(WTF_CPU_MIPS 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "sh4")
    set(WTF_CPU_SH4 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(x64|x86_64|amd64)")
    set(WTF_CPU_X86_64 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "(i[3-6]86|x86)")
    set(WTF_CPU_X86 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "ppc")
    set(WTF_CPU_PPC 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "ppc64")
    set(WTF_CPU_PPC64 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "ppc64le")
    set(WTF_CPU_PPC64LE 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "parisc*")
    set(WTF_CPU_HPPA 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "s390")
    set(WTF_CPU_S390 1)
elseif (LOWERCASE_CMAKE_SYSTEM_PROCESSOR MATCHES "s390x")
    set(WTF_CPU_S390X 1)
else ()
    message(FATAL_ERROR "Unknown CPU '${LOWERCASE_CMAKE_SYSTEM_PROCESSOR}'")
endif ()

# -----------------------------------------------------------------------------
# Determine the operating system
# -----------------------------------------------------------------------------
if (UNIX)
    if (APPLE)
        set(WTF_OS_MAC_OS_X 1)
    else ()
        set(WTF_OS_UNIX 1)
    endif ()
elseif (CMAKE_SYSTEM_NAME MATCHES "Windows")
    set(WTF_OS_WINDOWS 1)
else ()
    message(FATAL_ERROR "Unknown OS '${CMAKE_SYSTEM_NAME}'")
endif ()

# -----------------------------------------------------------------------------
# Default library types
# -----------------------------------------------------------------------------
option(SHARED_CORE "build WebCore as a shared library")

if (SHARED_CORE)
    set(WebCore_LIBRARY_TYPE SHARED)
else ()
    set(WebCore_LIBRARY_TYPE STATIC)
endif ()

set(WTF_LIBRARY_TYPE STATIC)
set(JavaScriptCore_LIBRARY_TYPE SHARED)
set(PAL_LIBRARY_TYPE STATIC)
set(WebKit_LIBRARY_TYPE SHARED)
set(WebKit2_LIBRARY_TYPE SHARED)
set(WebCoreTestSupport_LIBRARY_TYPE STATIC)

set(CMAKE_POSITION_INDEPENDENT_CODE True)

# -----------------------------------------------------------------------------
# Install JavaScript shell
# -----------------------------------------------------------------------------
option(SHOULD_INSTALL_JS_SHELL "generate an installation rule to install the built JavaScript shell")

# -----------------------------------------------------------------------------
# Default output directories, which can be overwritten by ports
#------------------------------------------------------------------------------
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

# -----------------------------------------------------------------------------
# Common configuration
#------------------------------------------------------------------------------
include(WebKitCommon)

# -----------------------------------------------------------------------------
# Enable API unit tests and create a target for the test runner
# -----------------------------------------------------------------------------
if (ENABLE_API_TESTS)
    enable_testing()
endif ()

# -----------------------------------------------------------------------------
# Add module directories
# -----------------------------------------------------------------------------
add_subdirectory(Source)

# -----------------------------------------------------------------------------
# Add tools
# -----------------------------------------------------------------------------
if (ENABLE_TOOLS)
    add_subdirectory(Tools)
endif ()

# -----------------------------------------------------------------------------
# Print the features list last, for maximum visibility.
# -----------------------------------------------------------------------------
PRINT_WEBKIT_OPTIONS()

=== Source/JavaScriptCore/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
include(WebKitCommon)
set_property(DIRECTORY . PROPERTY FOLDER "JavaScriptCore")

set(JavaScriptCore_INCLUDE_DIRECTORIES
    "${CMAKE_BINARY_DIR}"
    "${JAVASCRIPTCORE_DIR}"
    "${JAVASCRIPTCORE_DIR}/.."
    "${JAVASCRIPTCORE_DIR}/API"
    "${JAVASCRIPTCORE_DIR}/ForwardingHeaders"
    "${JAVASCRIPTCORE_DIR}/assembler"
    "${JAVASCRIPTCORE_DIR}/b3"
    "${JAVASCRIPTCORE_DIR}/b3/air"
    "${JAVASCRIPTCORE_DIR}/bindings"
    "${JAVASCRIPTCORE_DIR}/builtins"
    "${JAVASCRIPTCORE_DIR}/bytecode"
    "${JAVASCRIPTCORE_DIR}/bytecompiler"
    "${JAVASCRIPTCORE_DIR}/dfg"
    "${JAVASCRIPTCORE_DIR}/disassembler"
    "${JAVASCRIPTCORE_DIR}/disassembler/udis86"
    "${JAVASCRIPTCORE_DIR}/disassembler/ARM64"
    "${JAVASCRIPTCORE_DIR}/domjit"
    "${JAVASCRIPTCORE_DIR}/ftl"
    "${JAVASCRIPTCORE_DIR}/heap"
    "${JAVASCRIPTCORE_DIR}/debugger"
    "${JAVASCRIPTCORE_DIR}/inspector"
    "${JAVASCRIPTCORE_DIR}/inspector/agents"
    "${JAVASCRIPTCORE_DIR}/inspector/augmentable"
    "${JAVASCRIPTCORE_DIR}/inspector/remote"
    "${JAVASCRIPTCORE_DIR}/interpreter"
    "${JAVASCRIPTCORE_DIR}/jit"
    "${JAVASCRIPTCORE_DIR}/llint"
    "${JAVASCRIPTCORE_DIR}/parser"
    "${JAVASCRIPTCORE_DIR}/profiler"
    "${JAVASCRIPTCORE_DIR}/runtime"
    "${JAVASCRIPTCORE_DIR}/tools"
    "${JAVASCRIPTCORE_DIR}/wasm"
    "${JAVASCRIPTCORE_DIR}/wasm/js"
    "${JAVASCRIPTCORE_DIR}/yarr"
    "${FORWARDING_HEADERS_DIR}"
    "${DERIVED_SOURCES_JAVASCRIPTCORE_DIR}"
    "${DERIVED_SOURCES_JAVASCRIPTCORE_DIR}/inspector"
)

set(JavaScriptCore_SYSTEM_INCLUDE_DIRECTORIES
    "${ICU_INCLUDE_DIRS}"
)

set(JavaScriptCore_SOURCES
    API/JSBase.cpp
    API/JSCTestRunnerUtils.cpp
    API/JSCallbackConstructor.cpp
    API/JSCallbackFunction.cpp
    API/JSCallbackObject.cpp
    API/JSClassRef.cpp
    API/JSContextRef.cpp
    API/JSHeapFinalizerPrivate.cpp
    API/JSMarkingConstraintPrivate.cpp
    API/JSObjectRef.cpp
    API/JSTypedArray.cpp
    API/JSScriptRef.cpp
    API/JSStringRef.cpp
    API/JSValueRef.cpp
    API/JSWeakObjectMapRefPrivate.cpp
    API/JSWeakPrivate.cpp
    API/OpaqueJSString.cpp

    assembler/ARMAssembler.cpp
    assembler/AbstractMacroAssembler.cpp
    assembler/LinkBuffer.cpp
    assembler/MacroAssembler.cpp
    assembler/MacroAssemblerARM.cpp
    assembler/MacroAssemblerARMv7.cpp
    assembler/MacroAssemblerCodeRef.cpp
    assembler/MacroAssemblerPrinter.cpp
    assembler/MacroAssemblerX86Common.cpp
    assembler/Printer.cpp

    b3/air/AirAllocateRegistersAndStackByLinearScan.cpp
    b3/air/AirAllocateRegistersByGraphColoring.cpp
    b3/air/AirAllocateStackByGraphColoring.cpp
    b3/air/AirArg.cpp
    b3/air/AirBasicBlock.cpp
    b3/air/AirBlockInsertionSet.cpp
    b3/air/AirBreakCriticalEdges.cpp
    b3/air/AirCCallSpecial.cpp
    b3/air/AirCCallingConvention.cpp
    b3/air/AirCode.cpp
    b3/air/AirCustom.cpp
    b3/air/AirDisassembler.cpp
    b3/air/AirEliminateDeadCode.cpp
    b3/air/AirEmitShuffle.cpp
    b3/air/AirFixObviousSpills.cpp
    b3/air/AirFixPartialRegisterStalls.cpp
    b3/air/AirFixSpillsAfterTerminals.cpp
    b3/air/AirGenerate.cpp
    b3/air/AirGenerated.cpp
    b3/air/AirHandleCalleeSaves.cpp
    b3/air/AirInsertionSet.cpp
    b3/air/AirInst.cpp
    b3/air/AirKind.cpp
    b3/air/AirLogRegisterPressure.cpp
    b3/air/AirLowerAfterRegAlloc.cpp
    b3/air/AirLowerEntrySwitch.cpp
    b3/air/AirLowerMacros.cpp
    b3/air/AirLowerStackArgs.cpp
    b3/air/AirOptimizeBlockOrder.cpp
    b3/air/AirPadInterference.cpp
    b3/air/AirPhaseInsertionSet.cpp
    b3/air/AirPhaseScope.cpp
    b3/air/AirPrintSpecial.cpp
    b3/air/AirRegLiveness.cpp
    b3/air/AirReportUsedRegisters.cpp
    b3/air/AirSimplifyCFG.cpp
    b3/air/AirSpecial.cpp
    b3/air/AirStackAllocation.cpp
    b3/air/AirStackSlot.cpp
    b3/air/AirStackSlotKind.cpp
    b3/air/AirTmp.cpp
    b3/air/AirTmpWidth.cpp
    b3/air/AirValidate.cpp

    b3/B3ArgumentRegValue.cpp
    b3/B3AtomicValue.cpp
    b3/B3Bank.cpp
    b3/B3BasicBlock.cpp
    b3/B3BlockInsertionSet.cpp
    b3/B3BreakCriticalEdges.cpp
    b3/B3CCallValue.cpp
    b3/B3CaseCollection.cpp
    b3/B3CheckSpecial.cpp
    b3/B3CheckValue.cpp
    b3/B3Common.cpp
    b3/B3Commutativity.cpp
    b3/B3Compile.cpp
    b3/B3Compilation.cpp
    b3/B3Const32Value.cpp
    b3/B3Const64Value.cpp
    b3/B3ConstDoubleValue.cpp
    b3/B3ConstFloatValue.cpp
    b3/B3ConstrainedValue.cpp
    b3/B3DataSection.cpp
    b3/B3DuplicateTails.cpp
    b3/B3Effects.cpp
    b3/B3EliminateCommonSubexpressions.cpp
    b3/B3EnsureLoopPreHeaders.cpp
    b3/B3FenceValue.cpp
    b3/B3FixSSA.cpp
    b3/B3FoldPathConstants.cpp
    b3/B3FrequencyClass.cpp
    b3/B3Generate.cpp
    b3/B3HoistLoopInvariantValues.cpp
    b3/B3InferSwitches.cpp
    b3/B3InsertionSet.cpp
    b3/B3Kind.cpp
    b3/B3LegalizeMemoryOffsets.cpp
    b3/B3LowerMacros.cpp
    b3/B3LowerMacrosAfterOptimizations.cpp
    b3/B3LowerToAir.cpp
    b3/B3MathExtras.cpp
    b3/B3MemoryValue.cpp
    b3/B3MoveConstants.cpp
    b3/B3OpaqueByproducts.cpp
    b3/B3Opcode.cpp
    b3/B3Origin.cpp
    b3/B3OriginDump.cpp
    b3/B3PatchpointSpecial.cpp
    b3/B3PatchpointValue.cpp
    b3/B3PhaseScope.cpp
    b3/B3PhiChildren.cpp
    b3/B3Procedure.cpp
    b3/B3PureCSE.cpp
    b3/B3ReduceDoubleToFloat.cpp
    b3/B3ReduceStrength.cpp
    b3/B3SSACalculator.cpp
    b3/B3SlotBaseValue.cpp
    b3/B3StackmapGenerationParams.cpp
    b3/B3StackmapSpecial.cpp
    b3/B3StackmapValue.cpp
    b3/B3StackSlot.cpp
    b3/B3SwitchCase.cpp
    b3/B3SwitchValue.cpp
    b3/B3TimingScope.cpp
    b3/B3Type.cpp
    b3/B3UpsilonValue.cpp
    b3/B3UseCounts.cpp
    b3/B3Validate.cpp
    b3/B3Value.cpp
    b3/B3ValueKey.cpp
    b3/B3ValueRep.cpp
    b3/B3Variable.cpp
    b3/B3VariableLiveness.cpp
    b3/B3VariableValue.cpp
    b3/B3WasmAddressValue.cpp
    b3/B3WasmBoundsCheckValue.cpp
    b3/B3Width.cpp

    bindings/ScriptFunctionCall.cpp
    bindings/ScriptObject.cpp
    bindings/ScriptValue.cpp

    builtins/BuiltinExecutables.cpp
    builtins/BuiltinExecutableCreator.cpp
    builtins/BuiltinNames.cpp

    bytecode/AccessCase.cpp
    bytecode/AccessCaseSnippetParams.cpp
    bytecode/AdaptiveInferredPropertyValueWatchpointBase.cpp
    bytecode/ArithProfile.cpp
    bytecode/ArrayAllocationProfile.cpp
    bytecode/ArrayProfile.cpp
    bytecode/BytecodeBasicBlock.cpp
    bytecode/BytecodeDumper.cpp
    bytecode/BytecodeGeneratorification.cpp
    bytecode/BytecodeIntrinsicRegistry.cpp
    bytecode/BytecodeLivenessAnalysis.cpp
    bytecode/BytecodeRewriter.cpp
    bytecode/CallEdge.cpp
    bytecode/CallLinkInfo.cpp
    bytecode/CallLinkStatus.cpp
    bytecode/CallMode.cpp
    bytecode/CallVariant.cpp
    bytecode/CodeBlock.cpp
    bytecode/CodeBlockHash.cpp
    bytecode/CodeBlockJettisoningWatchpoint.cpp
    bytecode/CodeOrigin.cpp
    bytecode/CodeType.cpp
    bytecode/ComplexGetStatus.cpp
    bytecode/DFGExitProfile.cpp
    bytecode/DataFormat.cpp
    bytecode/DeferredCompilationCallback.cpp
    bytecode/DeferredSourceDump.cpp
    bytecode/DirectEvalCodeCache.cpp
    bytecode/EvalCodeBlock.cpp
    bytecode/ExecutionCounter.cpp
    bytecode/ExitKind.cpp
    bytecode/ExitingJITType.cpp
    bytecode/FullCodeOrigin.cpp
    bytecode/FunctionCodeBlock.cpp
    bytecode/GetByIdStatus.cpp
    bytecode/GetByIdVariant.cpp
    bytecode/GetterSetterAccessCase.cpp
    bytecode/InlineAccess.cpp
    bytecode/InlineCallFrame.cpp
    bytecode/InlineCallFrameSet.cpp
    bytecode/IntrinsicGetterAccessCase.cpp
    bytecode/JumpTable.cpp
    bytecode/LLIntPrototypeLoadAdaptiveStructureWatchpoint.cpp
    bytecode/LazyOperandValueProfile.cpp
    bytecode/MethodOfGettingAValueProfile.cpp
    bytecode/ModuleNamespaceAccessCase.cpp
    bytecode/ModuleProgramCodeBlock.cpp
    bytecode/ObjectPropertyCondition.cpp
    bytecode/ObjectPropertyConditionSet.cpp
    bytecode/Opcode.cpp
    bytecode/PolymorphicAccess.cpp
    bytecode/PreciseJumpTargets.cpp
    bytecode/ProgramCodeBlock.cpp
    bytecode/PropertyCondition.cpp
    bytecode/ProxyableAccessCase.cpp
    bytecode/PutByIdFlags.cpp
    bytecode/PutByIdStatus.cpp
    bytecode/PutByIdVariant.cpp
    bytecode/ReduceWhitespace.cpp
    bytecode/SpecialPointer.cpp
    bytecode/SpeculatedType.cpp
    bytecode/StructureSet.cpp
    bytecode/StructureStubClearingWatchpoint.cpp
    bytecode/StructureStubInfo.cpp
    bytecode/SuperSampler.cpp
    bytecode/ToThisStatus.cpp
    bytecode/TrackedReferences.cpp
    bytecode/UnlinkedCodeBlock.cpp
    bytecode/UnlinkedEvalCodeBlock.cpp
    bytecode/UnlinkedFunctionCodeBlock.cpp
    bytecode/UnlinkedFunctionExecutable.cpp
    bytecode/UnlinkedInstructionStream.cpp
    bytecode/UnlinkedModuleProgramCodeBlock.cpp
    bytecode/UnlinkedProgramCodeBlock.cpp
    bytecode/ValueRecovery.cpp
    bytecode/VariableWriteFireDetail.cpp
    bytecode/VirtualRegister.cpp
    bytecode/Watchpoint.cpp

    bytecompiler/BytecodeGenerator.cpp
    bytecompiler/NodesCodegen.cpp

    debugger/Debugger.cpp
    debugger/DebuggerCallFrame.cpp
    debugger/DebuggerLocation.cpp
    debugger/DebuggerParseData.cpp
    debugger/DebuggerScope.cpp

    dfg/DFGAbstractHeap.cpp
    dfg/DFGAbstractValue.cpp
    dfg/DFGAdaptiveInferredPropertyValueWatchpoint.cpp
    dfg/DFGAdaptiveStructureWatchpoint.cpp
    dfg/DFGArgumentsEliminationPhase.cpp
    dfg/DFGArgumentsUtilities.cpp
    dfg/DFGArithMode.cpp
    dfg/DFGArrayMode.cpp
    dfg/DFGAtTailAbstractState.cpp
    dfg/DFGAvailability.cpp
    dfg/DFGAvailabilityMap.cpp
    dfg/DFGBackwardsPropagationPhase.cpp
    dfg/DFGBasicBlock.cpp
    dfg/DFGBlockInsertionSet.cpp
    dfg/DFGBlockSet.cpp
    dfg/DFGByteCodeParser.cpp
    dfg/DFGCFAPhase.cpp
    dfg/DFGCFGSimplificationPhase.cpp
    dfg/DFGCPSRethreadingPhase.cpp
    dfg/DFGCSEPhase.cpp
    dfg/DFGCapabilities.cpp
    dfg/DFGCleanUpPhase.cpp
    dfg/DFGClobberSet.cpp
    dfg/DFGClobberize.cpp
    dfg/DFGClobbersExitState.cpp
    dfg/DFGCombinedLiveness.cpp
    dfg/DFGCommon.cpp
    dfg/DFGCommonData.cpp
    dfg/DFGCompilationKey.cpp
    dfg/DFGCompilationMode.cpp
    dfg/DFGConstantFoldingPhase.cpp
    dfg/DFGConstantHoistingPhase.cpp
    dfg/DFGCriticalEdgeBreakingPhase.cpp
    dfg/DFGDCEPhase.cpp
    dfg/DFGDesiredIdentifiers.cpp
    dfg/DFGDesiredTransitions.cpp
    dfg/DFGDesiredWatchpoints.cpp
    dfg/DFGDesiredWeakReferences.cpp
    dfg/DFGDisassembler.cpp
    dfg/DFGDoesGC.cpp
    dfg/DFGDriver.cpp
    dfg/DFGEdge.cpp
    dfg/DFGEpoch.cpp
    dfg/DFGFailedFinalizer.cpp
    dfg/DFGFinalizer.cpp
    dfg/DFGFixedButterflyAccessUncagingPhase.cpp
    dfg/DFGFixupPhase.cpp
    dfg/DFGFlowIndexing.cpp
    dfg/DFGFlushFormat.cpp
    dfg/DFGFlushedAt.cpp
    dfg/DFGLiveCatchVariablePreservationPhase.cpp
    dfg/DFGFrozenValue.cpp
    dfg/DFGGraph.cpp
    dfg/DFGGraphSafepoint.cpp
    dfg/DFGHeapLocation.cpp
    dfg/DFGInPlaceAbstractState.cpp
    dfg/DFGInferredTypeCheck.cpp
    dfg/DFGInsertionSet.cpp
    dfg/DFGIntegerCheckCombiningPhase.cpp
    dfg/DFGIntegerRangeOptimizationPhase.cpp
    dfg/DFGInvalidationPointInjectionPhase.cpp
    dfg/DFGJITCode.cpp
    dfg/DFGJITCompiler.cpp
    dfg/DFGJITFinalizer.cpp
    dfg/DFGJumpReplacement.cpp
    dfg/DFGLICMPhase.cpp
    dfg/DFGLazyJSValue.cpp
    dfg/DFGLazyNode.cpp
    dfg/DFGLivenessAnalysisPhase.cpp
    dfg/DFGLoopPreHeaderCreationPhase.cpp
    dfg/DFGMaximalFlushInsertionPhase.cpp
    dfg/DFGMayExit.cpp
    dfg/DFGMinifiedGraph.cpp
    dfg/DFGMinifiedNode.cpp
    dfg/DFGMovHintRemovalPhase.cpp
    dfg/DFGMultiGetByOffsetData.cpp
    dfg/DFGNode.cpp
    dfg/DFGNodeAbstractValuePair.cpp
    dfg/DFGNodeFlags.cpp
    dfg/DFGNodeFlowProjection.cpp
    dfg/DFGNodeOrigin.cpp
    dfg/DFGOSRAvailabilityAnalysisPhase.cpp
    dfg/DFGOSREntry.cpp
    dfg/DFGOSREntrypointCreationPhase.cpp
    dfg/DFGOSRExit.cpp
    dfg/DFGOSRExitBase.cpp
    dfg/DFGOSRExitCompilerCommon.cpp
    dfg/DFGOSRExitFuzz.cpp
    dfg/DFGOSRExitJumpPlaceholder.cpp
    dfg/DFGOSRExitPreparation.cpp
    dfg/DFGObjectAllocationSinkingPhase.cpp
    dfg/DFGObjectMaterializationData.cpp
    dfg/DFGOperations.cpp

=== debian/changelog ===
webkit2gtk (2.18.3-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Updated to 2.18.3 to fix multiple security issues.
    - CVE-2017-13783, CVE-2017-13784, CVE-2017-13785, CVE-2017-13788,
      CVE-2017-13791, CVE-2017-13792, CVE-2017-13793, CVE-2017-13794,
      CVE-2017-13795, CVE-2017-13796, CVE-2017-13798, CVE-2017-13802,
      CVE-2017-13803
  * debian/patches/*.patch: refreshed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Nov 2017 09:10:35 -0500

webkit2gtk (2.18.0-0ubuntu0.16.04.2) xenial-security; urgency=medium

  * Updated to 2.18.0 to fix multiple security issues.
    - CVE-2017-7087, CVE-2017-7089, CVE-2017-7090, CVE-2017-7091,
      CVE-2017-7092, CVE-2017-7093, CVE-2017-7095, CVE-2017-7096,
      CVE-2017-7098, CVE-2017-7100, CVE-2017-7102, CVE-2017-7104,
      CVE-2017-7107, CVE-2017-7109, CVE-2017-7111, CVE-2017-7117,
      CVE-2017-7120
  * debian/control: add libtasn1-6-dev to BuildDepends.
  * debian/rules: use USE_GSTREAMER_GL=OFF.
  * debian/rules: use ENABLE_WEB_CRYPTO=OFF since libgcrypt is too old.
  * debian/rules: don't use ENABLE_ASSEMBLER=0.
  * debian/libwebkit2gtk-4.0-37.symbols: updated for new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Oct 2017 12:42:09 -0400

webkit2gtk (2.16.6-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Updated to 2.16.6 to fix multiple security issues.
    - CVE-2017-2538, CVE-2017-7018, CVE-2017-7030, CVE-2017-7034,
      CVE-2017-7037, CVE-2017-7039, CVE-2017-7046, CVE-2017-7048,
      CVE-2017-7052, CVE-2017-7055, CVE-2017-7056, CVE-2017-7061,
      CVE-2017-7064

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 31 Jul 2017 14:54:24 -0400

webkit2gtk (2.16.3-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Updated to 2.16.3 to fix multiple security issues.
    - CVE-2017-2496
    - CVE-2017-2510
    - CVE-2017-2539

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 May 2017 13:27:42 -0400

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,10 @@
 
 ifeq ($(DEB_BUILD_ARCH),alpha)
 	LDFLAGS += -Wl,--no-relax
+endif
+
+ifeq ($(DEB_BUILD_ARCH),arm64)
+	EXTRA_CMAKE_ARGUMENTS += -DUSE_LD_GOLD=OFF
 endif
 
 # The debug packages produced by webkit are huge and cause problems in
@@ -53,13 +57,14 @@
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_GSTREAMER_GL=OFF
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_WEB_CRYPTO=OFF
 	DEB_DH_GENCONTROL_ARGS += -- -Vgst:Recommends=""
 else
 	DEB_DH_GENCONTROL_ARGS += -- -Vgst:Recommends="gstreamer1.0-plugins-bad, gstreamer1.0-libav,"
 endif
 
 %:
-	dh $@ --parallel --with gir
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
@@ -86,8 +91,9 @@
 	dh_makeshlibs -plibwebkit2gtk-4.0-37 -Xinjected-bundle
 	dh_makeshlibs -plibjavascriptcoregtk-4.0-18
 
-override_dh_installchangelogs:
-	dh_installchangelogs $(CURDIR)/NEWS
+override_dh_shlibdeps:
+	dh_shlibdeps
+	dh_girepository
 
 override_dh_builddeb:
 	DEB_BUILD_OPTIONS="$(filter-out parallel=%,$(DEB_BUILD_OPTIONS))" \

## webkit2gtk 2.18.5

=== debian/changelog ===
webkit2gtk (2.18.5-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * Updated to 2.18.5 to add Spectre mitigations.
    - CVE-2017-5715, CVE-2017-5753

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Jan 2018 11:46:16 -0500

webkit2gtk (2.18.4-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * Updated to 2.18.4 to fix multiple security issues.
    - CVE-2017-7156, CVE-2017-13856, CVE-2017-13866, CVE-2017-13870.
  * debian/patches/*.patch: refreshed.
  * Set distributor name in User Agent string.
    - debian/patches/user-agent-branding.patch: add optional distributor
      string to user agent.
    - debian/rules: set -DUSER_AGENT_GTK_DISTRIBUTOR_NAME.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 20 Dec 2017 09:25:03 -0500

webkit2gtk (2.18.3-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * Updated to 2.18.3 to fix multiple security issues.
    - CVE-2017-13783, CVE-2017-13784, CVE-2017-13785, CVE-2017-13788,
      CVE-2017-13791, CVE-2017-13792, CVE-2017-13793, CVE-2017-13794,
      CVE-2017-13795, CVE-2017-13796, CVE-2017-13798, CVE-2017-13802,
      CVE-2017-13803
  * debian/patches/*.patch: refreshed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Nov 2017 09:08:08 -0500

webkit2gtk (2.18.0-0ubuntu0.17.04.2) zesty-security; urgency=medium

  * Updated to 2.18.0 to fix multiple security issues.
    - CVE-2017-7087, CVE-2017-7089, CVE-2017-7090, CVE-2017-7091,
      CVE-2017-7092, CVE-2017-7093, CVE-2017-7095, CVE-2017-7096,
      CVE-2017-7098, CVE-2017-7100, CVE-2017-7102, CVE-2017-7104,
      CVE-2017-7107, CVE-2017-7109, CVE-2017-7111, CVE-2017-7117,
      CVE-2017-7120
  * debian/control: add libtasn1-6-dev to BuildDepends.
  * debian/rules: use USE_GSTREAMER_GL=OFF.
  * debian/rules: don't use USE_LD_GOLD=OFF on arm64.
  * debian/rules: don't use ENABLE_ASSEMBLER=0.
  * debian/libwebkit2gtk-4.0-37.symbols: updated for new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Oct 2017 07:20:10 -0400

webkit2gtk (2.16.6-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * Updated to 2.16.6 to fix multiple security issues.
    - CVE-2017-2538, CVE-2017-7018, CVE-2017-7030, CVE-2017-7034,
      CVE-2017-7037, CVE-2017-7039, CVE-2017-7046, CVE-2017-7048,
      CVE-2017-7052, CVE-2017-7055, CVE-2017-7056, CVE-2017-7061,
      CVE-2017-7064

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 31 Jul 2017 14:51:47 -0400

webkit2gtk (2.16.3-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * Updated to 2.16.3 to fix multiple security issues.
    - CVE-2017-2496
    - CVE-2017-2510
    - CVE-2017-2539

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 May 2017 13:23:25 -0400

webkit2gtk (2.16.2-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release (LP: #1690536)
  * Drop patches applied in new release
    - fix-ftbfs-x32.patch
    - fix-google-login.patch
    - fix-new-youtube.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 13 May 2017 18:16:26 -0400

webkit2gtk (2.16.1-1ubuntu0.17.04.1) zesty; urgency=medium

  * Add fix-google-login.patch:
    - Backport from 2.16.2 to fix Google login in Epiphany, GNOME Online
      Accounts, etc. (LP: #1687019)
  * Add fix-new-youtube.patch:
    - Backport from 2.16.2 to fix the new (May 2017 opt-in) YouTube

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 May 2017 14:17:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: webkit2gtk
 Priority: optional
 Section: web
-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Gustavo Noronha Silva <kov@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Alberto Garcia <berto@igalia.com>
@@ -35,19 +36,17 @@
                libtasn1-6-dev,
                libwebp-dev,
                libxt-dev,
-               libgstreamer1.0-dev (>= 1.2.3),
-               libgstreamer-plugins-base1.0-dev (>= 1.2.3),
-               libgstreamer-plugins-bad1.0-dev (>= 1.2.3) [!armel !armhf !sparc64 !hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+               libgstreamer1.0-dev (>= 1.0.3),
+               libgstreamer-plugins-base1.0-dev (>= 1.0.3),
                libenchant-dev (>= 0.22),
                gtk-doc-tools,
                geoclue-2.0,
                libsecret-1-dev,
                gobject-introspection (>= 1.32.0),
                libgirepository1.0-dev (>= 0.9.12-4),
-               mesa-common-dev,
                libegl1-mesa-dev,
                libgl1-mesa-dev [!armel !armhf !arm64],
-               libgles2-mesa-dev
+               libgles2-mesa-dev [armel armhf arm64]
 Build-Conflicts: gir-repository-dev
 Standards-Version: 3.9.8
 Homepage: https://webkitgtk.org/
@@ -134,7 +133,6 @@
          ${misc:Depends}
 Recommends: gstreamer1.0-plugins-base,
             gstreamer1.0-plugins-good,
-            libgl1-mesa-dri,
             ${gst:Recommends}
 Suggests: libwebkit2gtk-4.0-37-gtk2
 Description: Web content engine library for GTK+

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,6 @@
 
 ifeq ($(DEB_BUILD_ARCH),alpha)
 	LDFLAGS += -Wl,--no-relax
-endif
-
-ifeq ($(DEB_BUILD_ARCH),arm64)
-	EXTRA_CMAKE_ARGUMENTS += -DUSE_LD_GOLD=OFF
 endif
 
 # The debug packages produced by webkit are huge and cause problems in
@@ -56,15 +52,14 @@
 endif
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-	EXTRA_CMAKE_ARGUMENTS += -DUSE_GSTREAMER_GL=OFF
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_WEB_CRYPTO=OFF
+	EXTRA_CMAKE_ARGUMENTS += -DUSE_GSTREAMER_GL=OFF -DUSER_AGENT_GTK_DISTRIBUTOR_NAME=\'\\"Ubuntu\\"\'
 	DEB_DH_GENCONTROL_ARGS += -- -Vgst:Recommends=""
 else
 	DEB_DH_GENCONTROL_ARGS += -- -Vgst:Recommends="gstreamer1.0-plugins-bad, gstreamer1.0-libav,"
 endif
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with gir
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
@@ -91,9 +86,8 @@
 	dh_makeshlibs -plibwebkit2gtk-4.0-37 -Xinjected-bundle
 	dh_makeshlibs -plibjavascriptcoregtk-4.0-18
 
-override_dh_shlibdeps:
-	dh_shlibdeps
-	dh_girepository
+override_dh_installchangelogs:
+	dh_installchangelogs $(CURDIR)/NEWS
 
 override_dh_builddeb:
 	DEB_BUILD_OPTIONS="$(filter-out parallel=%,$(DEB_BUILD_OPTIONS))" \

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://webkitgtk.org/releases/ webkitgtk-([\d]+\.[\d]*[024568]\.[\d]+).tar.xz
